SHASUM(1perl)

BEZEICHNUNG
shasum - SHA-Prüfsummen ausgeben oder überprüfen

ÜBERSICHT
 Aufruf: shasum [OPTION]… [DATEI]…
 Gibt SHA-Prüfsummen aus oder überprüft sie.
 Ohne DATEI oder wenn Datei - ist, wird die Standardeingabe gelesen.

   -a, --algorithm   1 (Vorgabe), 224, 256, 384, 512, 512224, 512256
   -b, --binary      Liest im binären Modus
   -c, --check       Liest SHA-Summen aus DATEIen und prüft sie
       --tag         Erstellt BSD-artige Prüfsummen
   -t, --text        Liest im Textmodus (Vorgabe)
   -U, --UNIVERSAL   Liest im Modus »Universelle Zeilenumbrüche«
                         Erstellt den gleichen Hash unter Windows/Unix/Mac
   -0, --01          Liest im Modus BITS
                         ASCII »0« interpretiert als 0-bit,
                         ASCII »1« interpretiert als 1-bit,
                         alle anderen Zeichen werden ignoriert

 Die folgenden fünf Optionen sind nur bei der Überprüfung von Prüfsummen nützlich:
       --ignore-missing  Schlägt nicht fehl oder berichtet keinen Status für fehlende Dateien
   -q, --quiet           Gibt kein OK für jede erfolgreich überprüfte Datei aus
   -s, --status          Gibt nichts aus, der Status-Code zeigt den Erfolg
       --strict          Beendet sich von Null verschieden bei ungeeignet formatierten Prüfsummenzeilen
   -w, --warn            Warnt über ungeeignet formatierte Prüfsummenzeilen

   -h, --help            Zeigt eine Hilfe und beendet das Programm
   -v, --version         Gibt Versionsinformationen aus und beendet das Programm

 Bei der Überprüfung von SHA-512/224- oder SHA-512/256-Prüfsummen geben Sie
 den Algorithmus explizit mittels der Option -a an, z.B.

   shasum -a 512224 -c checksumfile

 Die Summen werden wie in FIPS PUB 180-4 beschrieben berechnet. Bei der
 Überprüfung sollte die Eingabe die frühere Ausgabe dieses Programms sein.
 Standardmäßig wird eine Zeile mit einer Prüfsumme ausgegeben, ein Zeichen,
 das den Typ anzeigt (»*« für binär, » « für Text, »U« für UNIVERSAL,
  »^« für BITS) und den Namen für jede DATEI. Die Zeile beginnt mit einem
  Zeichen »\«, falls die DATEI entweder Zeilenumbrüche oder
  Rückwärtsschrägstriche enthält, die dann durch Zwei-Zeichen-Sequenzen
 »\n« bzw. »\\« ersetzt werden.

 Melden Sie Fehler in shasum an mshelor@cpan.org.

BESCHREIBUNG
Die Ausführung von shasum ist oft der schnellste Weg, SHA-Nachrichten-Hashes zu berechnen. Der Benutzer gibt einfach die Daten über Dateien oder die Standardeingabe an das Skript und sammelt dann die Ausgabe aus der Standardausgabe ein.

Der folgende Befehl zeigt, wie der Hash für eine typische Eingabe wie den NIST-Testvektor »abc« berechnet wird:

        perl -e "print qq(abc)" | shasum

Falls Sie SHA-256 anstelle des standardmäßigen SHA-1 verwenden wollen, tippen Sie einfach:

        perl -e "print qq(abc)" | shasum -a 256

Da shasum das Verhalten der kombinierten GNU-Programme sha1sum(1), sha224sum(1), sha256sum(1), sha384sum(1) und sha512sum(1) nachahmt, können Sie dieses Skript als praktischen direkten Ersatz installieren.

Anders als die GNU-Programme deckt shasum den kompletten SHA-Standard ab, indem es Teil-Byte-Eingaben erlaubt. Dies wird über die BITS-Option -0 erreicht. Das folgende Beispiel berechnet den SHA-224-Hash der 7-bit-Nachricht 0001100:

        perl -e "print qq(0001100)" | shasum -0 -a 224

AUTOR
Copyright (C) 2003-2023 Mark Shelor <mshelor@cpan.org>.

SIEHE AUCH
shasum ist über das Perl-Modul Digest::SHA(3perl) implementiert.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.